Subject: Re: [i2rs] Comments on last-write-wins (strawman)

From: Jeffrey Haas <[email-masked]>
Date: Tue, 17 May 2016 14:25:30 -0400

Sue,

On Tue, Apr 05, 2016 at 04:48:25PM -0400, Susan Hares wrote:
> <chair hat off>
> This requirement that implementations provide "last write" and the ability
> to "ephemeral" wins (by setting a configuration flag) is a good addition.  
> 
> I hope others will comment on this point. 

I believe what this implies is the behavior of the agent to have either two
panes of glass (local + ephemeral) or one pane, where local and ephemeral
co-exist.

I believe a prior concern from Andy was that in such a single-pane model, a
restart of the system may result in an invalid static (local) configuration.

If this is a valid interpretation, perhaps we should always be going for the
two pane of glass model?

-- Jeff